petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateGmshFromFile

Create a DMPlex mesh from a Gmsh file

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmshFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

| comm | - The MPI communicator Many br
| filename | - Name of the Gmsh file Many br
| interpolate | - Create faces and edges in the mesh Many br

### Output Parameter

dm -The DM object representing the mesh Many br

Many br

### See Also

DMPlexCreateFromFile(), DMPlexCreateGmsh(), DMPlexCreate()

Level:beginner
Location:src/dm/impls/plex/plexgmsh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages